org.bouncycastle.mail.smime.test

## Class DummyCertPathReviewer

- java.lang.Object
- - org.bouncycastle.jce.provider.CertPathValidatorUtilities
  - - org.bouncycastle.x509.PKIXCertPathReviewer
    - - org.bouncycastle.mail.smime.test.DummyCertPathReviewer

    public class DummyCertPathReviewer
    extends org.bouncycastle.x509.PKIXCertPathReviewer

### Field Summary

### Fields inherited from class org.bouncycastle.x509.PKIXCertPathReviewer

`certPath, certs, errors, n, notifications, pkixParams, policyTree, subjectPublicKey, trustAnchor, validDate`

### Fields inherited from class org.bouncycastle.jce.provider.CertPathValidatorUtilities

`ANY_POLICY, AUTHORITY_KEY_IDENTIFIER, BASIC_CONSTRAINTS, CERTIFICATE_POLICIES, CRL_DISTRIBUTION_POINTS, CRL_NUMBER, CRL_SIGN, crlReasons, DELTA_CRL_INDICATOR, FRESHEST_CRL, INHIBIT_ANY_POLICY, ISSUING_DISTRIBUTION_POINT, KEY_CERT_SIGN, KEY_USAGE, NAME_CONSTRAINTS, POLICY_CONSTRAINTS, POLICY_MAPPINGS, SUBJECT_ALTERNATIVE_NAME`

### Constructor Summary

Constructors
Constructor and Description
`DummyCertPathReviewer()`

### Method Summary

### Methods inherited from class org.bouncycastle.x509.PKIXCertPathReviewer

`addError, addError, addNotification, addNotification, checkCRLs, checkRevocation, doChecks, getCertPath, getCertPathSize, getCRLDistUrls, getErrors, getErrors, getNotifications, getNotifications, getOCSPUrls, getPolicyTree, getSubjectPublicKey, getTrustAnchor, getTrustAnchors, init, isValidCertPath`

### Methods inherited from class org.bouncycastle.jce.provider.CertPathValidatorUtilities

`addAdditionalStoreFromLocation, addAdditionalStoresFromAltNames, addAdditionalStoresFromCRLDistributionPoint, findCertificates, findCertificates, findCRLs, findIssuerCerts, findTrustAnchor, findTrustAnchor, getAlgorithmIdentifier, getCertStatus, getCompleteCRLs, getCRLIssuersFromDistributionPoint, getDeltaCRLs, getEncodedIssuerPrincipal, getExtensionValue, getIssuerPrincipal, getNextWorkingKey, getQualifierSet, getSubjectPrincipal, getValidCertDateFromValidityModel, getValidDate, isAnyPolicy, isSelfIssued, prepareNextCertB1, prepareNextCertB2, processCertD1i, processCertD1ii, removePolicyNode, verifyX509Certificate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DummyCertPathReviewer

    public DummyCertPathReviewer()